Seis vulnerabilidades en cuatro boletines de Microsoft

Microsoft publicó cuatro boletines de seguridad con información y parches para al menos seis vulnerabilidades. Tres de los boletines están catalogados como críticos para Microsoft Word, Publisher y el Motor de base de datos Microsoft Jet 4.0, al menos en algunas de sus versiones.

El cuarto boletín está catalogado como moderado, y afecta al motor de protección contra malware de Microsoft.

El boletín MS08-026, detalla dos vulnerabilidades en Microsoft Word. Las dos afectan la memoria operativa del programa, y pueden ser explotadas para lograr la ejecución remota de código.

Una de ellas se debe a un error de cálculo al procesar una cadena con formato incorrecto en un archivo con extensión .RTF. La otra es provocada por otro tipo de error al procesar valores de hojas de estilo en cascada (CSS) de un archivo de Word. En ambas se requiere la apertura de un archivo modificado, para que el usuario pueda ser afectado.

El problema solo es crítico en Microsoft Word 2000 Service Pack 3, Microsoft Outlook 2007 y Microsoft Outlook 2007 Service Pack 1. En el caso de Office 2007, el problema es que utiliza Word por defecto como editor de correo electrónico.

En Microsoft Word 2002 SP3, Word 2003 SP2 y SP3, Microsoft Word Viewer 2003 y 2003 SP3, Word 2007 y Word 2007 SP1, Microsoft Office 2004 y 2008 para Mac, los parches están considerados como “Importantes”.

También está marcado como “Importante” para el Paquete de compatibilidad de Microsoft Office para formatos de archivo de Word, Excel y PowerPoint 2007, incluido el Service Pack 1.

El boletín MS08-027, describe una vulnerabilidad en Microsoft Publisher que podría permitir la ejecución remota de código. La misma se debe a un error de cálculo de los datos de controlador de objeto al abrir un archivo de Publisher.

Para explotar esta vulnerabilidad, un usuario debe abrir un archivo de Publisher. Sólo es crítico en Microsoft Publisher 2000 Service Pack 3.

Para Microsoft Publisher 2002 SP3, Publisher 2003 SP2 y SP3, Microsoft Publisher 2007 y 2007 SP7, es solo “Importante”, debido a que se pide confirmación para la apertura de un archivo.

MS08-028, involucra al motor de base de datos Microsoft Jet 4.0, el cuál se ve afectado por una vulnerabilidad de desbordamiento de la pila de análisis de archivos MDB, debido a que no realiza una validación suficiente de la estructura de datos.

Un atacante podría sacar provecho de este problema, creando una consulta a la base de un sistema afectado (un archivo .MDB), maliciosamente construida.

El motor de base de datos Microsoft Jet (Jet), es el que proporciona acceso de datos a aplicaciones como Microsoft Access, Microsoft Visual Basic y muchas aplicaciones de terceros. También puede usarse en las aplicaciones de Internet que requieran funcionalidad de base de datos.

Aunque los archivos .MDB están en la lista de archivos no seguros, se ha descubierto una nueva vía de ataque en la que un archivo de base de datos de Jet se puede abrir desde un documento de Word.

Son afectados los usuarios con una versión del componente MSJET40.DLL anterior a la 4.0.9505.0. Puede buscar este archivo en su sistema y si existe, comprobar este dato en las propiedades del mismo.

Microsoft Jet 4.0 está normalmente disponible en Windows 2000, Windows XP y Windows Server 2003. Todos estos sistemas son afectados.

El último boletín, MS08-029, describe dos vulnerabilidades en el motor de protección contra malware de Microsoft, las cuáles podrían permitir una denegación de servicio, haciendo que el sistema deje de responder o se vuelva notoriamente más lento.

El problema se debe a que este componente no valida correctamente determinadas estructuras de datos al analizar los archivos, provocando que se agote el espacio en disco.

Son vulnerables todos los sistemas que utilicen el motor de protección contra malware de Microsoft, esto es Windows Live OneCare, Microsoft Antigen para Exchange, Microsoft Antigen para puerta de enlace SMTP, Microsoft Windows Defender, Microsoft Forefront Client Security, Microsoft Forefront Security para Exchange Server, Microsoft Forefront Security para SharePoint.

La vulnerabilidad está catalogada en todos ellos como “Moderada”.

También afecta al Sistema independiente de limpieza (malware) que se encuentra en Diagnostics and Recovery Toolset 6.0, aunque en este caso el riesgo de exposición a la vulnerabilidad es “bajo”.

Referencias:

http://www.microsoft.com/technet/security/bulletin/ms08-026.mspx
http://www.microsoft.com/technet/security/bulletin/ms08-027.mspx
http://www.microsoft.com/technet/security/bulletin/ms08-028.mspx
http://www.microsoft.com/technet/security/bulletin/ms08-029.mspx

Anuncios

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: